html { scroll-behavior: smooth; }

[data-loading="true"] .btn-label { opacity: 0; }
[data-loading="true"] .btn-spinner { display: flex; }

/* les bg de la secttion FAQS */
.curved-bg {
    /* background: linear-gradient(135deg, #0E2746 0%, #0a1d38 100%); */
    clip-path: polygon(0 25%, 100% 0, 100% 85%, 0 100%);
}

.curved-bg-mobile{
  /* background: linear-gradient(135deg, #ef4444 0%, #dc2626 100%); */
  clip-path: polygon(21% 3%, 50% 1%, 100% 0, 100% 96%, 54% 97%, 29% 98%, 0 100%, 0 5%);
}

/*animations au Scroll  */
[data-animate] { opacity: 0; transform: translateY(16px); transition: opacity .10s ease, transform .10s ease; }
[data-animate].in-view { opacity: 1; transform: translateY(0); }

/* Header effet de surlignage au centre sur les nav links */
.nav-link {
  position: relative;
}
.nav-link::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -6px;
  width: 0;
  height: 2px;
  background: #0E2746;
  transform: translateX(-50%);
  transition: width 300ms ease-in-out;
}
.nav-link:hover::after {
  width: 100%;
}

/* FAQ Rotation des icones */
[data-faq] .faq-toggle {
  transition: transform 700ms ease;
  transform: rotate(-5deg);
}
[data-faq].faq-open .faq-toggle {
  transform: rotate(135deg);
}

/* FAQ effet d'animation a l'ouverture et fermeture */
.faq-content {
  opacity: 0;
  transition: max-height 500ms ease, opacity 400ms ease;
}
[data-faq].faq-open .faq-content {
  opacity: 1;
}

/* Services: assurer une transition douce des couleurs */
[data-service-card],
[data-service-card] *,
[data-service-icon] {
  transition: color 500ms ease-in-out, background-color 500ms ease-in-out;
}

/* Titres des cartes services : changement de couleur immédiat */
[data-service-card] h3,
[data-service-card] h3 * {
  transition:color 500ms ease-in-out !important;
}
